#!/bin/bash

# ***************************************************************************
# *                         WARRANTY DISCLAIMER
# ***************************************************************************
# * THE SAMPLE SCRIPT IS BEING PROVIDED TO YOU "AS IS".  DELL DISCLAIMS ANY
# * AND ALL WARRANTIES, EXPRESS, IMPLIED OR STATUTORY, WITH RESPECT TO THE
# * SAMPLE SCRIPT, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND ANY WARRANTY
# * OF NON-INFRINGEMENT. YOU WILL USE THE SAMPLE SCRIPT AT YOUR OWN RISK.
# * DELL SHALL NOT BE LIABLE TO YOU FOR ANY DIRECT OR INDIRECT DAMAGES
# * INCURRED IN USING THE SAMPLE SCRIPT. IN NO EVENT SHALL DELL OR ITS
# * SUPPLIERS BE RESPONSIBLE FOR ANY DIRECT OR INDIRECT DAMAGES WHATSOEVER
# * (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF PROFITS, LOSS OF USE,
# * LOSS OF DATA, BUSINESS INTERRUPTION, OR OTHER PECUNIARY LOSS, NOR FOR
# * PUNITIVE, INCIDENTAL, CONSEQUENTIAL, OR SPECIAL DAMAGES OF ANY KIND,
# * UNDER ANY PART OF THIS AGREEMENT, EVEN IF ADVISED OR AWARE OF THE
# * POSSIBILITY OF SUCH DAMAGES).
# ***************************************************************************

# ***************************************************************************
# * Script Name: pendingvaluecheck.sh
# *
# * Purpose:
# *   This script is used to check the existence of 'bootmode' pending value.
# * Variable 'pstatus' is set to '0' if there is 'bootmode' pending value or 
# * '1' otherwise.
# *
# * Tools Used: 
# *   syscfg 
# *	
# ***************************************************************************

pstatus=1
current_mode=`syscfg --bootmode 2> /dev/null`

pv_temp=`syscfg --pendingvalues 2> /dev/null`
if [ $? -eq 0 ]
then
	[ ! -z "`echo $pv_temp | grep -iw 'bootmode'`" ] && pstatus=0
else
	echo Pending values token error
	exit 1
fi

# if 'bootmode' is set to same value as current 'bootmode', then pstatus should be 1.
if [ $pstatus -eq 0 ]
then
	[ "$current_mode" = "bootmode=uefi" ] && [ ! -z "`echo $pv_temp | grep -iw "bootmode = uefi"`" ] && pstatus=1
	[ "$current_mode" = "bootmode=bios" ] && [ ! -z "`echo $pv_temp | grep -iw "bootmode = bios"`" ] && pstatus=1
fi
#echo $pstatus
