#!/bin/bash

# ***************************************************************************
# *                         WARRANTY DISCLAIMER
# ***************************************************************************
# * THE SAMPLE SCRIPT IS BEING PROVIDED TO YOU "AS IS".  DELL DISCLAIMS ANY
# * AND ALL WARRANTIES, EXPRESS, IMPLIED OR STATUTORY, WITH RESPECT TO THE
# * SAMPLE SCRIPT, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND ANY WARRANTY
# * OF NON-INFRINGEMENT. YOU WILL USE THE SAMPLE SCRIPT AT YOUR OWN RISK.
# * DELL SHALL NOT BE LIABLE TO YOU FOR ANY DIRECT OR INDIRECT DAMAGES
# * INCURRED IN USING THE SAMPLE SCRIPT. IN NO EVENT SHALL DELL OR ITS
# * SUPPLIERS BE RESPONSIBLE FOR ANY DIRECT OR INDIRECT DAMAGES WHATSOEVER
# * (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF PROFITS, LOSS OF USE,
# * LOSS OF DATA, BUSINESS INTERRUPTION, OR OTHER PECUNIARY LOSS, NOR FOR
# * PUNITIVE, INCIDENTAL, CONSEQUENTIAL, OR SPECIAL DAMAGES OF ANY KIND,
# * UNDER ANY PART OF THIS AGREEMENT, EVEN IF ADVISED OR AWARE OF THE
# * POSSIBILITY OF SUCH DAMAGES).
# ***************************************************************************

# ***************************************************************************
# * Script Name: tkenvset.sh
# *
# * Purpose:
# *   This script sets the path of the Deployment Toolkit installation and
# *   variables for the platform that will be deployed & configured. These 
# *   variables/paths must be specified before using any of the scripts.
# * 
# * Tools Used: 
# *   syscfg to discover system type.
# *
# ***************************************************************************

# ***************************************************************************
# *                         USER MODIFICATION REQUIRED
# ***************************************************************************

# ***************************************************************************
# *                   Deployment Toolkit Installation Paths
# ***************************************************************************

export DT_PATH=/opt/dell/toolkit
export DT_TOOLS=$DT_PATH/bin
export DT_SYSTEMS=$DT_PATH/systems
export DT_SCRIPTS=$DT_PATH/template/scripts
export DT_DRMK_PATH=/opt/dell/drmk

export DT_STOP_ON_ERROR=FALSE
export retsyscfg=0

echo Deployment Toolkit paths and options have been set

# ***************************************************************************
# * Platform discovery
# ***************************************************************************
for i in `$DT_TOOLS/syscfg --envfile=$DT_TOOLS/sys.ini`; do
	eval $i > /dev/null 2>&1
done
export DT_PLATFORM=$MACH

if [ -z "$DT_PLATFORM" ]; then
	$DT_SCRIPTS/errhndl.sh $0 54
fi
